## com.google.javascript.rhino
Enum JSDocInfo.Visibility

    java.lang.Object
      java.lang.Enum<JSDocInfo.Visibility>
          com.google.javascript.rhino.JSDocInfo.Visibility

All Implemented Interfaces:
  Serializable, Comparable<JSDocInfo.Visibility>

Enclosing class:
  JSDocInfo

    public static enum JSDocInfo.Visibility

extends Enum<JSDocInfo.Visibility>

Visibility categories. The `Enum.ordinal()` can be used as a numerical indicator of privacy, where 0 is the most private. This means that the `Enum.compareTo(E)` method can be used to determine if a visibility is more permissive than another.

Enum Constant Summary
`INHERITED`
`PRIVATE`
`PROTECTED`
`PUBLIC`

Method Summary
`static JSDocInfo.Visibility` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JSDocInfo.Visibility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PRIVATE

    public static final JSDocInfo.Visibility PRIVATE

### PROTECTED

    public static final JSDocInfo.Visibility PROTECTED

### PUBLIC

    public static final JSDocInfo.Visibility PUBLIC

### INHERITED

    public static final JSDocInfo.Visibility INHERITED

Method Detail

### values

    public static JSDocInfo.Visibility[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JSDocInfo.Visibility c : JSDocInfo.Visibility.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JSDocInfo.Visibility valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null